

function Ritz_playMovie(name) {
  app.OpenDialog("../../QuickStart/" + name + ".html", '', 
          Math.min(window.screen.availWidth, 772), 
          Math.min(window.screen.availHeight, 646));
}

var hasHostingProfile__ = null;
function Ritz_hasHostingProfile() {

  if (hasHostingProfile__ == null) {
    var iter = new ActiveXObject("FSI.FSIRegIterator");
    iter.DefineSearch(false, "FSI\\PP", false);
    var name = iter.GetNext();
    hasHostingProfile__ =  (name != "");
  }
  
  return hasHostingProfile__;
}

function Ritz_openWebServiceDlg(ws, args) {

  var baseURL = "https://nof7.webservices.websitepros.com/nof7/Ritz/";

  var wsURL = baseURL + ws;
  var isOnline = app.OnlineMode(wsURL + "_event=reset", true) == 0;
  if (isOnline) {

    var window = (args.length > 0 ? args[0] : null);
    var initialLaunch = (args.length > 1 ? args[1] : false);
    
    var url = wsURL + "?_event=init" +
          "&sn=" + app.GetRegistryString(true, "SerialNumber") +
          "&pid=" + app.GetRegistryString(true, "PartnerCode") +
          "&hb=" + (app.GetRegistryString(true, "BusinessName").length ? "true" : "false") +
          (initialLaunch ? "&il=true" : "");
    if (window != null) {
      window.location = url;
    }
    else {
      app2.BrowserNoCtrl(url, "", 700, 600);
    }
  }
  
  return true;
}

function Ritz_openAccountSetupDlg(/* window, initialLaunch */) {
  return Ritz_openWebServiceDlg("as.ixs", arguments);
}

function Ritz_openProfileSyncDlg(/* window, initialLaunch */) {
  return Ritz_openWebServiceDlg("psync.ixs", arguments);
}

function Ritz_openEmailUserInfoDlg(/* window, initialLaunch */) {
  return Ritz_openWebServiceDlg("eui.ixs", arguments);
}

function Ritz_openHostingControlPanel() {

  var url = "https://nof7.webservices.websitepros.com/siteadmin/index.html";
  var mode = app.OnlineMode(url, true);
  if (mode == 0) {
    app2.OpenBrowser(url, "", Math.min(window.screen.availWidth, 700), window.screen.availHeight);
  }
}

function Ritz_NS() {
  this.__proto__ = Ritz_NS.prototype;
  
  this.playMovie = Ritz_playMovie;
  this.hasHostingProfile = Ritz_hasHostingProfile;
  this.openAccountSetupDlg = Ritz_openAccountSetupDlg;
  this.openProfileSyncDlg = Ritz_openProfileSyncDlg;
  this.openEmailUserInfoDlg = Ritz_openEmailUserInfoDlg;
  this.openHostingControlPanel = Ritz_openHostingControlPanel;
}

var Ritz = new Ritz_NS();
